### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `nbconvert.preprocessors.revealhelp`

Module that pre-processes the notebook for export via Reveal.

## 1 Class

class `IPython.nbconvert.preprocessors.revealhelp.``RevealHelpPreprocessor`(**kw)

  Bases: `IPython.nbconvert.preprocessors.base.Preprocessor`

  `preprocess`(nb, resources)

    Called once to ‘preprocess’ contents of the notebook.

    Parameters :

    nb : NotebookNode

    > Notebook being converted

    resources : dictionary

    > Additional resources used in the conversion process. Allows preprocessors to pass variables into the Jinja engine.

### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »